#!/bin/bash

PACKAGE='groundcontrol'
VERSION=`python -c "from GroundControl import __version__; print __version__"`
NAME=$PACKAGE-$VERSION
TAR=$NAME.tar.gz

python setup.py sdist
cd dist

#gpg --armor --sign --detach-sig $TAR
#lp-project-upload $PACKAGE $VERSION $TAR

ORIG=${PACKAGE}_$VERSION.orig.tar.gz
mv $TAR ../../$ORIG
cd ../../

rm -fr $NAME
tar xzvf $ORIG

cp -R debianfiles $NAME/debian
rm -fr $NAME/debian/.bzr

cd $NAME

for RELEASE in jaunty karmic lucid; do
    DEBVER="$VERSION-0${RELEASE}1"
    rm debian/changelog
    dch --create --package=$PACKAGE -v $DEBVER --distribution $RELEASE "PPA Release Build"
    debuild -S
    dput ppa:doctormo/$PACKAGE ../${PACKAGE}_${DEBVER}_source.changes
done


